--
-- PostgreSQL database dump
--

-- Dumped from database version 12.10
-- Dumped by pg_dump version 12.10

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

--
-- Name: rand(); Type: FUNCTION; Schema: public; Owner: drupal
--

CREATE FUNCTION public.rand() RETURNS double precision
    LANGUAGE sql
    AS $$SELECT random();$$;


ALTER FUNCTION public.rand() OWNER TO drupal;

--
-- Name: substring_index(text, text, integer); Type: FUNCTION; Schema: public; Owner: drupal
--

CREATE FUNCTION public.substring_index(text, text, integer) RETURNS text
    LANGUAGE sql
    AS $_$SELECT array_to_string((string_to_array($1, $2)) [1:$3], $2);$_$;


ALTER FUNCTION public.substring_index(text, text, integer) OWNER TO drupal;

SET default_tablespace = '';

SET default_table_access_method = heap;

--
-- Name: T_Email_Body; Type: TABLE; Schema: public; Owner: notificatore
--

CREATE TABLE public."T_Email_Body" (
    n_id_app character varying NOT NULL,
    b_attivo character varying(1) NOT NULL,
    t_tipo_email character varying NOT NULL,
    t_corpo character varying NOT NULL
);


ALTER TABLE public."T_Email_Body" OWNER TO notificatore;

--
-- Name: COLUMN "T_Email_Body".n_id_app; Type: COMMENT; Schema: public; Owner: notificatore
--

COMMENT ON COLUMN public."T_Email_Body".n_id_app IS 'Identificativo univoco dell''applicazione';


--
-- Name: COLUMN "T_Email_Body".b_attivo; Type: COMMENT; Schema: public; Owner: notificatore
--

COMMENT ON COLUMN public."T_Email_Body".b_attivo IS 'Stato di attivazione (Y,N)';


--
-- Name: COLUMN "T_Email_Body".t_tipo_email; Type: COMMENT; Schema: public; Owner: notificatore
--

COMMENT ON COLUMN public."T_Email_Body".t_tipo_email IS 'Tipologia di email';


--
-- Name: COLUMN "T_Email_Body".t_corpo; Type: COMMENT; Schema: public; Owner: notificatore
--

COMMENT ON COLUMN public."T_Email_Body".t_corpo IS 'Corpo dell''email codificato in base64';


--
-- Name: T_Keys; Type: TABLE; Schema: public; Owner: notificatore
--

CREATE TABLE public."T_Keys" (
    t_key character varying NOT NULL
);


ALTER TABLE public."T_Keys" OWNER TO notificatore;

--
-- Name: COLUMN "T_Keys".t_key; Type: COMMENT; Schema: public; Owner: notificatore
--

COMMENT ON COLUMN public."T_Keys".t_key IS 'Identificativo univoco della chiave di configurazione';


--
-- Name: T_Notification_Conf; Type: TABLE; Schema: public; Owner: notificatore
--

CREATE TABLE public."T_Notification_Conf" (
    n_id_app character varying NOT NULL,
    t_key character varying NOT NULL,
    t_value character varying NOT NULL,
    b_attivo character varying(1) NOT NULL
);


ALTER TABLE public."T_Notification_Conf" OWNER TO notificatore;

--
-- Name: COLUMN "T_Notification_Conf".n_id_app; Type: COMMENT; Schema: public; Owner: notificatore
--

COMMENT ON COLUMN public."T_Notification_Conf".n_id_app IS 'Identificativo univoco dell''applicazione';


--
-- Name: COLUMN "T_Notification_Conf".t_key; Type: COMMENT; Schema: public; Owner: notificatore
--

COMMENT ON COLUMN public."T_Notification_Conf".t_key IS 'Identificativo univoco della chiave di configurazione';


--
-- Name: COLUMN "T_Notification_Conf".t_value; Type: COMMENT; Schema: public; Owner: notificatore
--

COMMENT ON COLUMN public."T_Notification_Conf".t_value IS 'Valore associato alla chiave di configurazione';


--
-- Name: COLUMN "T_Notification_Conf".b_attivo; Type: COMMENT; Schema: public; Owner: notificatore
--

COMMENT ON COLUMN public."T_Notification_Conf".b_attivo IS 'Stato di attivazione (Y,N)';


--
-- Name: T_User_Notification; Type: TABLE; Schema: public; Owner: notificatore
--

CREATE TABLE public."T_User_Notification" (
    n_id_app character varying NOT NULL,
    b_attivo character varying(1) NOT NULL,
    d_data_ins timestamp(6) without time zone NOT NULL
);


ALTER TABLE public."T_User_Notification" OWNER TO notificatore;

--
-- Name: COLUMN "T_User_Notification".n_id_app; Type: COMMENT; Schema: public; Owner: notificatore
--

COMMENT ON COLUMN public."T_User_Notification".n_id_app IS 'Identificativo univoco dell''applicazione';


--
-- Name: COLUMN "T_User_Notification".b_attivo; Type: COMMENT; Schema: public; Owner: notificatore
--

COMMENT ON COLUMN public."T_User_Notification".b_attivo IS 'Stato di attivazione (Y,N)';


--
-- Name: COLUMN "T_User_Notification".d_data_ins; Type: COMMENT; Schema: public; Owner: notificatore
--

COMMENT ON COLUMN public."T_User_Notification".d_data_ins IS 'Data di creazione';


--
-- Data for Name: T_Email_Body; Type: TABLE DATA; Schema: public; Owner: notificatore
--

COPY public."T_Email_Body" (n_id_app, b_attivo, t_tipo_email, t_corpo) FROM stdin;
3dbb6400c3ad8654bbc3de5df9c95cf231ca7a96db5e406f8fdc223c917cd663cf4b050bf66c41c476d7e56672d6393d6e104dfcde62887497aa89d11ebf7667	Y	BODY_INFO_1	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml" xmlns:v="urn:schemas-microsoft-com:vml" xmlns:o="urn:schemas-microsoft-com:office:office">  <head>    <meta http-equiv="Content-type" content="text/html; charset=utf-8" />    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />    <meta http-equiv="X-UA-Compatible" content="IE=edge" />    <meta name="format-detection" content="date=no" />    <meta name="format-detection" content="address=no" />    <meta name="format-detection" content="telephone=no" />    <meta name="x-apple-disable-message-reformatting" />    <link href="https://fonts.googleapis.com/css?family=PT+Serif:400,400i,700,700i|Poppins:400,400i,700,700i" rel="stylesheet" />    <title>Email Template</title>    <style type="text/css" media="screen">      /* Linked Styles */      body {        padding: 0 !important;        margin: 0 !important;        display: block !important;        min-width: 100% !important;        width: 100% !important;        background: #ffffff;        -webkit-text-size-adjust: none      }      a {        color: #0000ee;        text-decoration: none      }      p {        padding: 0 !important;        margin: 0 !important      }      img {        -ms-interpolation-mode: bicubic;        /* Allow smoother rendering of resized image in Internet Explorer */      }      .mcnPreviewText {        display: none !important;      }      /* Mobile styles */      @media only screen and (max-device-width: 480px),      only screen and (max-width: 480px) {        .mobile-shell {          width: 100% !important;          min-width: 100% !important;        }        .bg {          background-size: 100% auto !important;          -webkit-background-size: 100% auto !important;        }        .text-header,        .m-center {          text-align: center !important;        }        .center {          margin: 0 auto !important;        }        .container {          padding: 20px 10px !important        }        .td {          width: 100% !important;          min-width: 100% !important;        }        .m-br-15 {          height: 15px !important;        }        .p30-15 {          padding: 30px 15px !important;        }        .p0-15-30 {          padding: 0px 15px 30px 15px !important;        }        .p0-15 {          padding: 0px 15px !important;        }        .mpb30 {          padding-bottom: 30px !important;        }        .mpb15 {          padding-bottom: 15px !important;        }        .m-td,        .m-hide {          display: none !important;          width: 0 !important;          height: 0 !important;          font-size: 0 !important;          line-height: 0 !important;          min-height: 0 !important;        }        .m-block {          display: block !important;        }        .fluid-img img {          width: 100% !important;          max-width: 100% !important;          height: auto !important;        }        .column,        .column-dir,        .column-top,        .column-empty,        .column-empty2,        .column-dir-top {          float: left !important;          width: 100% !important;          display: block !important;        }        .column-empty {          padding-bottom: 30px !important;        }        .column-empty2 {          padding-bottom: 10px !important;        }        .content-spacing {          width: 15px !important;        }      }    </style>  </head>  <body class="body" style="padding:0 !important; margin:0 !important; display:block !important; min-width:100% !important; width:100% !important; background:#ffffff; -webkit-text-size-adjust:none;" id="mimemail-body" {{ attributes.addclass(classes) }}>    <table width="100%" border="0" cellspacing="0" cellpadding="0" bgcolor="#ffffff">      <tr>        <td align="center" valign="top">          <!-- Header -->          <table width="100%" border="0" cellspacing="0" cellpadding="0">            <tr>              <td align="center">                <table width="100%" border="0" cellspacing="0" cellpadding="0" class="mobile-shell">                  <tr>                    <td class="td" style="width:650px; min-width:650px; font-size:0pt; line-height:0pt; padding:0; margin:0; font-weight:normal;">                      <!-- Header -->                      <table width="100%" border="0" cellspacing="0" cellpadding="0">                        <tr>                          <td class="p30-15 tbrr" style="background:#06c">                            <table class="header" bgcolor="#06c" width="100%" border="0" cellspacing="7" cellpadding="0">                              <tr>                                <th class="column-top" width="145" style="font-size:0pt; line-height:0pt; padding:0; margin:0; font-weight:normal; vertical-align:top;">                                  <table width="100%" border="0" cellspacing="0" cellpadding="0">                                    <tr>                                      <td class="img m-center" style="font-size:0pt; line-height:0pt; text-align:left;">                                        <img src="https://www.comune.salerno.it/sites/default/files/Logo%20Salerno%20HD_0_0.png" width="200" height="100" editable="true" border="0" alt="" />                                      </td>                                    </tr>                                  </table>                                </th>                                <th class="column-empty2" width="1" style="font-size:0pt; line-height:0pt; padding:0; margin:0; font-weight:normal; vertical-align:top;"></th>                                <th class="column" style="font-size:0pt; line-height:0pt; padding:0; margin:0; font-weight:normal;">                                  <table width="100%" border="0" cellspacing="10" cellpadding="0">                                    <tr>                                      <td class="text-header" style="color:#ffffff; font-family:Arial, sans-serif; font-size:19px; font-weight:bold; line-height:18px; text-align:left;">                                        <multiline>Comune di Salerno <webversion class="link" style="color:#ffffff; text-decoration:none;"></webversion>                                        </multiline>                                        <br>                                      </td>                                    </tr>                                    <tr>                                        <td class="text-header" style="color:#ffffff; font-family:Arial, sans-serif; font-size:13px; line-height:18px; text-align:left;">                                            <multiline><webversion>Hippocratica Civitas</webversion></multiline>                                        </td>                                    </tr>                                  </table>                                </th>                              </tr>                            </table>                          </td>                        </tr>                      </table>                      <!-- END Header -->                      <!-- Newsletter header -->                      <table width="100%" cellspacing="10" cellpadding="0" border="0" style="text-align:right;background:#06c">                        <tbody><tr>                          <td class="text-footer1 pb10" style="font-weight:bold; color:#ffffff; font-family:Arial, sans-serif;font-style:italic;font-size:30px; text-align:right;">                            <!-- <multiline>Newsletter</multiline> -->                          </td>                        </tr>                      </tbody>                    </table>                      <!-- Newsletter END Header -->                      <!-- SubHeader -->                      <table width="100%" cellspacing="20" cellpadding="0" border="0" style="background:#0059b3">                        <tbody>                          <tr>                            <td class="text-footer1 pb10" style="font-weight:bold; color:#ffffff; font-family:Arial, sans-serif; line-height: 26px; font-size:14px; text-align:left;">                           </td>                            <td class="text-footer1 pb10" style="font-weight:bold; color:#ffffff; font-family:Arial, sans-serif; line-height: 26px; font-size:14px; text-align:right;">                                <!-- <multiline>data: </multiline> -->                            </td>                        </tr>  </tbody></table>                      </td>                  </tr>                </table>              </td>            </tr>          </table>          <!-- END Header -->        </td>      </tr>    </table><br><table width="100%" border="0" cellspacing="5" cellpadding="10" style="border-bottom: 15pt solid #06c" ><tr> <td width="15%"><p><strong>Organizzatore</strong></p></td> <td><p><strong>$0</strong></p></td></tr><tr> <td width="15%"><p><strong>Argomento</strong></p></td> <td><p><strong>$1</strong></p></td></tr><tr> <td width="15%"><p><strong>Inizio</strong></p></td> <td><strong>$2</strong></td></tr><tr> <td width="15%"><p><strong>Link</strong></p></td> <td><p><strong><a target="_blank" href="$3">$4</a></strong></p></td></tr>    </table><br>  </body></html>
\.


--
-- Data for Name: T_Keys; Type: TABLE DATA; Schema: public; Owner: notificatore
--

COPY public."T_Keys" (t_key) FROM stdin;
FIREBASE_KEY_IOS
EMAIL_ACCOUNT
EMAIL_PASSWORD
EMAIL_PORT
EMAIL_HOST_SMTP
FIREBASE_KEY_ANDROID
BODY_GENERALE
BODY_RECUPERA_PASSWORD
BODY_REGISTRAZIONE
BODY_INFO_1
BODY_INFO_2
BODY_CONFERMA_OPERAZIONE
FIREBASE_SERVER_URL
FIREBASE_SERVER_URL_HTTP_V1
SERVICE_ACCOUNT
\.


--
-- Data for Name: T_Notification_Conf; Type: TABLE DATA; Schema: public; Owner: notificatore
--

COPY public."T_Notification_Conf" (n_id_app, t_key, t_value, b_attivo) FROM stdin;
3dbb6400c3ad8654bbc3de5df9c95cf231ca7a96db5e406f8fdc223c917cd663cf4b050bf66c41c476d7e56672d6393d6e104dfcde62887497aa89d11ebf7667	FIREBASE_SERVER_URL	https://fcm.googleapis.com/fcm/send	Y
3dbb6400c3ad8654bbc3de5df9c95cf231ca7a96db5e406f8fdc223c917cd663cf4b050bf66c41c476d7e56672d6393d6e104dfcde62887497aa89d11ebf7667	FIREBASE_KEY_ANDROID	AAAAYnpnKgs:APA91bFRCsO63IZUtoks4knX-2WXWygdW7w8htPU-aYFpzsKz2hkyL8r7LD8fGCRvg89GFWBbIs4qH_pOta3eFdDQAX3wPdk79c0aqFC9o0zIKyr8g5rFNzTe5c3aFfVET6Z1uisbM8H	Y
3dbb6400c3ad8654bbc3de5df9c95cf231ca7a96db5e406f8fdc223c917cd663cf4b050bf66c41c476d7e56672d6393d6e104dfcde62887497aa89d11ebf7667	FIREBASE_KEY_IOS	AAAAYnpnKgs:APA91bFRCsO63IZUtoks4knX-2WXWygdW7w8htPU-aYFpzsKz2hkyL8r7LD8fGCRvg89GFWBbIs4qH_pOta3eFdDQAX3wPdk79c0aqFC9o0zIKyr8g5rFNzTe5c3aFfVET6Z1uisbM8H	Y
3dbb6400c3ad8654bbc3de5df9c95cf231ca7a96db5e406f8fdc223c917cd663cf4b050bf66c41c476d7e56672d6393d6e104dfcde62887497aa89d11ebf7667	FIREBASE_SERVER_URL_HTTP_V1	https://fcm.googleapis.com/v1/projects/sapp-cccfb/messages:send	Y
3dbb6400c3ad8654bbc3de5df9c95cf231ca7a96db5e406f8fdc223c917cd663cf4b050bf66c41c476d7e56672d6393d6e104dfcde62887497aa89d11ebf7667	SERVICE_ACCOUNT	{\n  "type": "service_account",\n  "project_id": "sapp-cccfb",\n  "private_key_id": "bb09431b298fb66c9b8c0b1a2558df06a87d6880",\n  "private_key": "-----BEGIN PRIVATE KEY-----\\nMIIEvQIBADANBgkqhkiG9w0BAQEFAASCBKcwggSjAgEAAoIBAQC/ZnrX9pqik3wn\\nmPMy3Uvwvy+Ysy1gn3oOaBCEa+vIRbDMIAVkDTEs2XBmbWBz1NlImvkMSFUfLRVu\\nexmupPrdAZq2Me5N9A+tzL7zDKIV/ZSLjX6QvkdIC0Vvg3YG06pnynF4QVyGchgx\\ns8EYuyv10fOkilGrZgWDU5dol28lBzRqNLw5sGtPE2N74qZoJyfFeFSXLMSSckeP\\n5oVWaal6AkRwbKZIKfZSlqCNjbtZdjVNq1W9OHUd+IFEv6okcO4ZNk178ltJmeJX\\n7vu0Fep+zTn5p5r/A/yv4cJ1iSu2hEhP3k64UIXA3W1A10Vaj4rucK1r970ki+Z3\\n0o/aenBnAgMBAAECggEABFz2EtCLSx0thfwH7ZYdGMvjZrqy6tneald7X0NMi4mm\\nOSNeFYEQTlrtSVf9fTZ7jW2o2RfcM/RLSxmowxIMuR7akM90/TdnSaAQvEgRtT9F\\nobMCLxrOYqZu5DjLG8iOG1eJ/h7xbzkqq7th10oabFpJVF0LqlP3546zHs46WVzo\\nLOZwc5ifJPpQ6CShStN5KVbzFLUvPKeQClpYuydwrj4l+konFGk4egIPqbsEh/TT\\naGqYPyyXrHzLX91VyqREuqXuc/JwcmxAlWy6mgYpExL6xvBSDKWofym6M0EE6hls\\nHjbl80TzRgqWvDBCWmhuNLHx/j2BRcLKnSpMQiARFQKBgQDv8JgiZ90s4Ubnz0k5\\nOxSVxpkN0CCli3Y8x18DSVrM4JNuZNWg8gH/G2gbxneFZ+S4HTIxEuCk1NmfYRO6\\nZxmycZjG6VX23v4OnZ0atOH21xC+fD/oUxEKxbrp+QM9nrJNqRbv6V8qhcaZyrKB\\n3/BC6RtLO1JypYttg6HTHDcWnQKBgQDMNidUE7GaEmhV5bhKpoIKBZYfDnzBrmcl\\nbGPCzuHS1LsoSAQHw9KRvS4kP+Gs+X7PMRuYc1hmKul+WEsiW+UNQw6/xVNNV6US\\n98xJpYyYoVyUPVEH2I57GF07766JohykjBCQ+1Swl6t9bxGQjDaPAYhj2Lm8TRYM\\np5G80R3x0wKBgGxujUIXMBPlJrcBrTSo52+cVXSxlt9ZPDDRZLXGg7tMzjO4a/aV\\nB6PzDcRnl4H5Zppxz0nwHwc+ja6CH3lAuJM01PcnYcr0EVonjmUQU4HKxW1gFz11\\ntKDqpMKx3u4M9sUz4gK/s1szI4JC4RLiUeDbGZORFnxrJaxzLUGLYbXdAoGAbQJb\\nbB43KC+7Ul8WSYMo14Cz6lApeJpIpUl+13boRUsZvR70R9DYjsOV5fPT3Coy7xcf\\ny/mGrsMpcTBgqy6yzqmFLgl/tkGa9M0iWA3vR2qbqOYyYyXOqRcQbfY8DWxkLdI2\\n5a3EP6A3AvZPQgIW/a+rxuDiBQqBQrAQs+JNQdECgYEAzI/3BgOHzWw+YqYko4qH\\nmqxV4YV2Kxq5Xz3q3PFwNAdi7XXCpEk6aBtWT98Z890Sl1GkEXv3RGKS/uoDr8nn\\n4JmTC33JxsP/3ZvBquMQH46O0p8wNGdIIPpnfQbVyBrGr6MDUYfQWXys52yP6XzU\\ntQWLaTcgg2WXfjX0FgpnAds=\\n-----END PRIVATE KEY-----\\n",\n  "client_email": "firebase-adminsdk-4nraa@sapp-cccfb.iam.gserviceaccount.com",\n  "client_id": "111156280088201472780",\n  "auth_uri": "https://accounts.google.com/o/oauth2/auth",\n  "token_uri": "https://oauth2.googleapis.com/token",\n  "auth_provider_x509_cert_url": "https://www.googleapis.com/oauth2/v1/certs",\n  "client_x509_cert_url": "https://www.googleapis.com/robot/v1/metadata/x509/firebase-adminsdk-4nraa%40sapp-cccfb.iam.gserviceaccount.com",\n  "universe_domain": "googleapis.com"\n}	Y
3dbb6400c3ad8654bbc3de5df9c95cf231ca7a96db5e406f8fdc223c917cd663cf4b050bf66c41c476d7e56672d6393d6e104dfcde62887497aa89d11ebf7667	EMAIL_ACCOUNT	no_reply@comune.salerno.it	Y
3dbb6400c3ad8654bbc3de5df9c95cf231ca7a96db5e406f8fdc223c917cd663cf4b050bf66c41c476d7e56672d6393d6e104dfcde62887497aa89d11ebf7667	EMAIL_PASSWORD	Noreplay.1	Y
3dbb6400c3ad8654bbc3de5df9c95cf231ca7a96db5e406f8fdc223c917cd663cf4b050bf66c41c476d7e56672d6393d6e104dfcde62887497aa89d11ebf7667	EMAIL_HOST_SMTP	192.168.10.12	Y
3dbb6400c3ad8654bbc3de5df9c95cf231ca7a96db5e406f8fdc223c917cd663cf4b050bf66c41c476d7e56672d6393d6e104dfcde62887497aa89d11ebf7667	EMAIL_PORT	465	Y
\.


--
-- Data for Name: T_User_Notification; Type: TABLE DATA; Schema: public; Owner: notificatore
--

COPY public."T_User_Notification" (n_id_app, b_attivo, d_data_ins) FROM stdin;
3dbb6400c3ad8654bbc3de5df9c95cf231ca7a96db5e406f8fdc223c917cd663cf4b050bf66c41c476d7e56672d6393d6e104dfcde62887497aa89d11ebf7667	Y	2020-04-21 15:13:46.36
\.


--
-- Name: T_Email_Body PK_T_Email_Body; Type: CONSTRAINT; Schema: public; Owner: notificatore
--

ALTER TABLE ONLY public."T_Email_Body"
    ADD CONSTRAINT "PK_T_Email_Body" PRIMARY KEY (n_id_app, t_tipo_email);


--
-- Name: T_Keys PK_T_Keys; Type: CONSTRAINT; Schema: public; Owner: notificatore
--

ALTER TABLE ONLY public."T_Keys"
    ADD CONSTRAINT "PK_T_Keys" PRIMARY KEY (t_key);


--
-- Name: T_User_Notification PK_T_User_Notification; Type: CONSTRAINT; Schema: public; Owner: notificatore
--

ALTER TABLE ONLY public."T_User_Notification"
    ADD CONSTRAINT "PK_T_User_Notification" PRIMARY KEY (n_id_app);


--
-- Name: T_Notification_Conf Pk_T_Notification_Conf; Type: CONSTRAINT; Schema: public; Owner: notificatore
--

ALTER TABLE ONLY public."T_Notification_Conf"
    ADD CONSTRAINT "Pk_T_Notification_Conf" PRIMARY KEY (n_id_app, t_key);


--
-- Name: T_Notification_Conf FK_Keys; Type: FK CONSTRAINT; Schema: public; Owner: notificatore
--

ALTER TABLE ONLY public."T_Notification_Conf"
    ADD CONSTRAINT "FK_Keys" FOREIGN KEY (t_key) REFERENCES public."T_Keys"(t_key);


--
-- Name: T_Email_Body FK_keys; Type: FK CONSTRAINT; Schema: public; Owner: notificatore
--

ALTER TABLE ONLY public."T_Email_Body"
    ADD CONSTRAINT "FK_keys" FOREIGN KEY (t_tipo_email) REFERENCES public."T_Keys"(t_key);


--
-- Name: T_Email_Body FK_user_notification; Type: FK CONSTRAINT; Schema: public; Owner: notificatore
--

ALTER TABLE ONLY public."T_Email_Body"
    ADD CONSTRAINT "FK_user_notification" FOREIGN KEY (n_id_app) REFERENCES public."T_User_Notification"(n_id_app);


--
-- Name: T_Notification_Conf FK_user_notification; Type: FK CONSTRAINT; Schema: public; Owner: notificatore
--

ALTER TABLE ONLY public."T_Notification_Conf"
    ADD CONSTRAINT "FK_user_notification" FOREIGN KEY (n_id_app) REFERENCES public."T_User_Notification"(n_id_app);


--
-- PostgreSQL database dump complete
--

