import { AfterViewInit, Component, EventEmitter, Input, OnInit, Output, ViewChild } from '@angular/core';
import { IonSlides } from '@ionic/angular';
import { CategoriaPoi } from 'src/app/models';
import { UtilityService } from 'src/app/services/utility/utility.service';
import { CONFIGSLIDE } from 'src/app/utility/slider.config';

@Component({
  selector: 'app-buttons-cat-poi',
  templateUrl: './buttons-cat-poi.component.html',
  styleUrls: ['./buttons-cat-poi.component.scss'],
})
export class ButtonsCatPoiComponent implements OnInit, AfterViewInit {
  @ViewChild(IonSlides) slides: IonSlides;
  @Input() listaCategoriePoiFRR: Array<CategoriaPoi>[][];
  @Input() listaCategoriePoi: Array<CategoriaPoi>;
  @Output() filterFromCatcomp = new EventEmitter<CategoriaPoi>();
  slideOpts = CONFIGSLIDE;

  constructor(
    private utilityService: UtilityService) {
    this.subscribeToUpdateSlide();
  }

  ngOnInit() { }

  ngAfterViewInit(): void {
    setTimeout(() => {
      this.slides.update();
    }, 500);
  }

  selectCat(categoriaSel: CategoriaPoi) {
    if (!categoriaSel.b_selected) {
      this.deselectAll();
      this.listaCategoriePoi.map((categoria) => {
        if (categoria.nCatPoi === categoriaSel.nCatPoi) {
          categoria.b_selected = true;
          return categoria;
        }
      });
    } else {
      categoriaSel.b_selected = false;
    }
    this.filterFromCatcomp.emit(categoriaSel);
  }

  deselectAll() {
    this.listaCategoriePoi.map((categoria) => categoria.b_selected = false);
  }


  subscribeToUpdateSlide() {
    this.utilityService.updateSlidePoi$.subscribe({
      next: (value) => {
        if (value) {
          this.slides.update();
        }
      },
      error: () => { }
    });
  }



}
