import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { MessageChat } from 'src/app/models';
import { Button, ElementChat } from 'src/app/models/response-chatbot';

@Component({
  selector: 'app-chat-card',
  templateUrl: './chat-card.component.html',
  styleUrls: ['./chat-card.component.scss'],
})
export class ChatCardComponent implements OnInit {
  @Input() messageChat: MessageChat;
  @Input() cardElement: ElementChat;
  @Output() quickRepliesCmp = new EventEmitter<string>();
  constructor() { }

  ngOnInit() {
  }

  quickReplies(button: Button) {
    switch (button.type) {
      case 'postback':
        if (button.payload) {
          this.quickRepliesCmp.emit(button.payload);
        } else {
          this.quickRepliesCmp.emit('');
        }
        break;
      case 'web_url':
        if (button.url) {
          this.quickRepliesCmp.emit(button.url);
        } else {
          this.quickRepliesCmp.emit('');
        }
        break;
      case null:
        this.quickRepliesCmp.emit(button.payload);
        break;
    }
  }

}
