import { Component, Input, OnInit } from '@angular/core';
import { GpTemplatesCode, ProcedureTemplateConfig, VariableGp } from 'src/app/models';
import { GpValueVariablePipe } from 'src/app/pipe';
import { TEMPLATES_CODE, TEMPLATE_PROCEDURE } from 'src/app/utility';

@Component({
  selector: 'app-gp-procedure-requester',
  templateUrl: './gp-procedure-requester.component.html',
  styleUrls: ['./gp-procedure-requester.component.scss'],
})
export class GpProcedureRequesterComponent implements OnInit {
  @Input() variablesGp: VariableGp[];
  @Input() templateConfiguration: ProcedureTemplateConfig;

  templatesCodes: GpTemplatesCode = TEMPLATES_CODE;
  templateProcedure = TEMPLATE_PROCEDURE;
  arrow_down: string = 'assets/icon/icona_sotto.svg';
  arrow_right: string = 'assets/icon/icona_avanti.svg';
  showCardContent: boolean;
  iconArrow: string;

  constructor(
    public gpValueVariablePipe: GpValueVariablePipe,
  ) {
    this.setUtility();
  }

  ngOnInit() {
  }

  setUtility() {
    this.iconArrow = this.arrow_right;
    setTimeout(() => {
     // this.openCard();
    }, 300)
  }

  openCard() {
    this.showCardContent = true;
    this.iconArrow = this.arrow_down;
  }

  manageCloseOpen() {
    if (this.showCardContent) {
      this.showCardContent = false;
      this.iconArrow = this.arrow_right;
    } else {
      this.showCardContent = true;
      this.iconArrow = this.arrow_down;
    }
  }

  getValueToUpper(variable: string) {
    let value: string = this.gpValueVariablePipe.transform(variable, this.variablesGp) as string;
    if (value) {
      return value.toLocaleUpperCase();
    } else {
      return null;
    }
  }

}
