import { Component, Input, OnInit } from '@angular/core';
import { GpTemplatesCode, InfoUserProcedure, ProcedureStatus, ProcedureTemplateConfig, VariableGp } from 'src/app/models';
import { GpValueVariablePipe } from 'src/app/pipe';
import { TEMPLATES_CODE, TEMPLATE_PROCEDURE } from 'src/app/utility';

@Component({
  selector: 'app-gp-procedure-ub-lavori',
  templateUrl: './gp-procedure-ub-lavori.component.html',
  styleUrls: ['./gp-procedure-ub-lavori.component.scss'],
})
export class GpProcedureUbLavoriComponent implements OnInit {
  @Input() variablesGp: VariableGp[];
  @Input() procedure: InfoUserProcedure;
  @Input() templateConfiguration: ProcedureTemplateConfig;
  @Input() procedureStatus: ProcedureStatus[];

  templatesCodes: GpTemplatesCode = TEMPLATES_CODE;
  templateProcedure = TEMPLATE_PROCEDURE;
  arrow_down: string = 'assets/icon/icona_sotto.svg';
  arrow_right: string = 'assets/icon/icona_avanti.svg';
  showCardContent: boolean;
  iconArrow: string;

  constructor(
    public gpValueVariablePipe: GpValueVariablePipe) {
    this.setUtility();
  }

  ngOnInit() {
  }

  setUtility() {
    this.iconArrow = this.arrow_right;
    setTimeout(() => {
      this.openCard();
    }, 300)
  }

  openCard() {
    this.showCardContent = true;
    this.iconArrow = this.arrow_down;
  }

  manageCloseOpen() {
    if (this.showCardContent) {
      this.showCardContent = false;
      this.iconArrow = this.arrow_right;
    } else {
      this.showCardContent = true;
      this.iconArrow = this.arrow_down;
    }
  }
}