import { Component, Input, OnInit } from '@angular/core';
import { TaskGp } from 'src/app/models';
import { GPFORM } from 'src/app/utility/global-constant';

@Component({
  selector: 'app-gp-tasks',
  templateUrl: './gp-tasks.component.html',
  styleUrls: ['./gp-tasks.component.scss'],
})
export class GpTasksComponent implements OnInit {
  @Input() listaTaskGp: Array<TaskGp>;
  titleCard: string = GPFORM.headerTasks;
  zeroTasks: string = GPFORM.zeroTasks;
  arrow_down: string = 'assets/icon/icona_sotto.svg';
  arrow_right: string = 'assets/icon/icona_avanti.svg';
  showCardContent: boolean; 
  iconArrow: string;

  constructor() { 
    this.setUtility();
  }

  ngOnInit() {
/*     this.listaTaskGp.push({
      name: 'prova', 
      createdAt: '2021-04-30T13:23:21.000+0000'
    })
    this.listaTaskGp.push({
      name: 'prova', 
      createdAt: '2021-04-30T13:23:21.000+0000'
    })
    this.listaTaskGp.push({
      name: 'prova', 
      createdAt: '2021-04-30T13:23:21.000+0000'
    })
    this.listaTaskGp.push({
      name: 'prova', 
      createdAt: '2021-04-30T13:23:21.000+0000'
    })
    this.listaTaskGp.push({
      name: 'prova', 
      createdAt: '2021-04-30T13:23:21.000+0000'
    }) */
  }

  setUtility() {
    this.iconArrow = this.arrow_right;
    setTimeout(() => {
      this.openCard();
    },300)
  }

  openCard() {
    this.showCardContent = true;
    this.iconArrow = this.arrow_down;
  }

  manageCloseOpen() {
    if(this.showCardContent) {
      this.showCardContent = false;
      this.iconArrow = this.arrow_right;
    } else {
      this.showCardContent = true;
      this.iconArrow = this.arrow_down;
    }
  }
  
}

/*  */
