import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { PlacePortale } from 'src/app/models';
import { IMAGE } from 'src/app/utility';
import { MAXLENGTH } from 'src/app/utility/global-constant';

@Component({
  selector: 'app-place',
  templateUrl: './place.component.html',
  styleUrls: ['./place.component.scss'],
})
export class PlaceComponent implements OnInit {
  @Input() placePortale: PlacePortale;
  @Output() detailPlace = new EventEmitter<void>();
	imageTemp: string = IMAGE.neLocandinaTemp;
	showAltImage: boolean = false;
	lenghtTruncateTitle: number = MAXLENGTH.titoloPlace;
  
  constructor() { }

  ngOnInit() {

  }

  handleDetailPlace() {
    this.detailPlace.emit();
  }

  transform(value: string, limit: number): string {
		return value.length < limit ? value : value.slice(0, limit) + '...';
	}

	loadAlternativeImage() {
		this.showAltImage = true;
	}


}
