import { Injectable } from '@angular/core';
import { Router, CanLoad } from '@angular/router';
import { StorageService } from 'src/app/services';
import { PAGES } from 'src/app/utility/global-constant';

@Injectable({
  providedIn: 'root'
})
export class TutorialGuard implements CanLoad {

  constructor(
    private storageService: StorageService, 
    private router: Router) {}
    
    canLoad() {
      return this.storageService.getSawTutorial().then(res => {
        if (res) {
          this.router.navigate([PAGES.home_page]);
          return false;
        } else {
          return true;
        }
      });
    }
  
}
