import { Component, OnDestroy, OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { Funzionalita, Funzione } from 'src/app/models';
import { GlobalService, StorageService, UtilityService } from 'src/app/services';
import { AuthenticationService } from 'src/app/services/authentication/authentication.service';
import { DURATIONTOAST, HOMEFZ, IMAGE, MESSAGES, PAGES, PATHWP, TEXT } from 'src/app/utility/global-constant';

@Component({
	selector: "app-home",
	templateUrl: "./home.page.html",
	styleUrls: ["./home.page.scss"],
})
export class HomePage implements OnInit, OnDestroy {
	loggedIn: boolean = true;
	titleText: string = TEXT.home.title;
	buttonText: string = TEXT.home.buttonEntra;
	logoHome: string = IMAGE.logoHome;
	widthLogoHome: number = IMAGE.widthLogoHome;
	heightLogoHome: number = IMAGE.heightLogoHome;
	logoHomeLogged: string = IMAGE.logoHomeLogged;
	widthHomeLogged: number = IMAGE.widthHomeLogged;
	heightHomeLogged: number = IMAGE.heightHomeLogged;
	listaFunzionalitaFBR: Array<Funzionalita>[][];
	autenticato: boolean;
	funzioni_utenza: Array<Funzione>;
	list_funzionalita: Array<Funzionalita>;
	size_array_pipe: number = 3;
	icon_default = "macs-icon-temporanea";

	constructor(
		private router: Router,
		private activatedRoute: ActivatedRoute,
		private globalService: GlobalService,
		private authService: AuthenticationService,
		private storageService: StorageService,
		private utilityService: UtilityService
	) {
		this.subscribeUpdateProfilazione();
	}

	ngOnInit() {
		/*     this.sub = this.auth.events$.subscribe((action) => this.onSignOutSuccess(action)); */
		/* let params = this.globalService.encodeParams({ idPrenotazione: 71 });
		this.router.navigate([PAGES.dettaglioPrenotazione.link, params], { relativeTo: this.activatedRoute }); */
	}

	ionViewWillEnter() {
		this.listaFunzionalitaFBR = null;
		this.checkIsLogged();
		// this.loggedIn ? this.utilityService.updateSlideHome$.next(true) : 0;
	}

	ngOnDestroy() {}

	checkIsLogged() {
		this.authService.isLoggedIn().then((autenticato) => {
			if (autenticato) {
				setTimeout(() => {
					this.getProfilazioneInformation();
				}, 700);
			}
		});
	}

	setMockDeafult() {
		this.funzioni_utenza = [
			{
				n_id_funzione: 1,
				t_nome: "Help",
				t_descrizione: "",
				d_data_ins: null,
				funzionalita: [
					{
						n_id_funzionalita: 1,
						t_nome: "Funzta1",
						t_descrione: "",
						d_data: null,
						t_livello_sicurezza: "0",
						t_info_aggiuntive: "/tabs/home/tutorial|icona_tutorial.svg|home",
					},
					{
						n_id_funzionalita: 1,
						t_nome: "Funzta2",
						t_descrione: "",
						d_data: null,
						t_livello_sicurezza: "0",
						t_info_aggiuntive: "/tabs/home/tutorial|icona_home.svg|menu",
					},
					{
						n_id_funzionalita: 1,
						t_nome: "Funzta3",
						t_descrione: "",
						d_data: null,
						t_livello_sicurezza: "0",
						t_info_aggiuntive: "/tabs/home/procedure|icona_pratiche.svg|home",
					},
				],
			},
			{
				n_id_funzione: 1,
				t_nome: "Help",
				t_descrizione: "",
				d_data_ins: null,
				funzionalita: [
					{
						n_id_funzionalita: 1,
						t_nome: "Funzta4",
						t_descrione: "",
						d_data: null,
						t_livello_sicurezza: "0",
						t_info_aggiuntive: "/tabs/home/tutorial|icona_tutorial.svg|home",
					},
					{
						n_id_funzionalita: 1,
						t_nome: "Funzta5",
						t_descrione: "",
						d_data: null,
						t_livello_sicurezza: "0",
						t_info_aggiuntive: "/tabs/home/tutorial|icona_poi.svg|menu",
					},
					{
						n_id_funzionalita: 1,
						t_nome: "Funzta6",
						t_descrione: "",
						d_data: null,
						t_livello_sicurezza: "0",
						t_info_aggiuntive: "/tabs/home/tutorial|icona_menu.svg|home",
					},
				],
			},
			{
				n_id_funzione: 1,
				t_nome: "Help",
				t_descrizione: "",
				d_data_ins: null,
				funzionalita: [
					{
						n_id_funzionalita: 1,
						t_nome: "Funzta7",
						t_descrione: "",
						d_data: null,
						t_livello_sicurezza: "0",
						t_info_aggiuntive: "/tabs/home/tutorial|icona_tutorial.svg|home",
					},
					{
						n_id_funzionalita: 1,
						t_nome: "Funzta8",
						t_descrione: "",
						d_data: null,
						t_livello_sicurezza: "0",
						t_info_aggiuntive: "/tabs/home/tutorial|icona_poi.svg|menu",
					},
					{
						n_id_funzionalita: 1,
						t_nome: "Funzta9",
						t_descrione: "",
						d_data: null,
						t_livello_sicurezza: "0",
						t_info_aggiuntive: "/tabs/home/tutorial|icona_menu.svg|home",
					},
				],
			},
			{
				n_id_funzione: 1,
				t_nome: "Help",
				t_descrizione: "",
				d_data_ins: null,
				funzionalita: [
					{
						n_id_funzionalita: 1,
						t_nome: "Funzta10",
						t_descrione: "",
						d_data: null,
						t_livello_sicurezza: "0",
						t_info_aggiuntive: "/tabs/home/tutorial|icona_tutorial.svg|home",
					},
					{
						n_id_funzionalita: 1,
						t_nome: "Funzta11",
						t_descrione: "",
						d_data: null,
						t_livello_sicurezza: "0",
						t_info_aggiuntive: "/tabs/home/tutorial|icona_poi.svg|menu",
					},
					{
						n_id_funzionalita: 1,
						t_nome: "Funzta12",
						t_descrione: "",
						d_data: null,
						t_livello_sicurezza: "0",
						t_info_aggiuntive: "/tabs/home/tutorial|icona_menu.svg|home",
					},
				],
			},
			{
				n_id_funzione: 1,
				t_nome: "Help",
				t_descrizione: "",
				d_data_ins: null,
				funzionalita: [
					{
						n_id_funzionalita: 1,
						t_nome: "Funzta13",
						t_descrione: "",
						d_data: null,
						t_livello_sicurezza: "0",
						t_info_aggiuntive: "/tabs/home/tutorial|icona_tutorial.svg|home",
					},
					{
						n_id_funzionalita: 1,
						t_nome: "Funzta14",
						t_descrione: "",
						d_data: null,
						t_livello_sicurezza: "0",
						t_info_aggiuntive: "/tabs/home/tutorial|icona_poi.svg|home",
					},
					{
						n_id_funzionalita: 1,
						t_nome: "Funzta15",
						t_descrione: "",
						d_data: null,
						t_livello_sicurezza: "0",
						t_info_aggiuntive: "/tabs/home/tutorial|icona_menu.svg|home",
					},
				],
			},
		];
	}

	selectedFunzta(funzta: Funzionalita) {
		this.goToPage(this.getPage(funzta.t_info_aggiuntive));
	}

	getPage(info: string): string {
		let array_pipe = info.split("|");
		if (array_pipe.length === this.size_array_pipe) {
			return array_pipe[0];
		} else {
			return null;
		}
	}

	goToPage(path: string) {
		/*     if (path && path !== '') {
          this.navCtrl.navigateForward(path);
        } else {
          this.globalService.presentToast(MESSAGES.notAuthorized, DURATIONTOAST.default);
        } */
		if (path && path !== "") {
			if (PATHWP.tutorial_home === path) {
				let params = this.globalService.encodeParams({ t: "t" });
				this.router.navigate([path, params], { relativeTo: this.activatedRoute });
			} else {
				this.router.navigate([path], { relativeTo: this.activatedRoute });
			}
		} else {
			this.globalService.presentToast(MESSAGES.notAuthorized, DURATIONTOAST.default);
		}
	}

	checkIsForHome(info: string): boolean {
		let array_pipe = info.split("|");
		if (array_pipe.length === this.size_array_pipe) {
			if (array_pipe[2] !== "" && array_pipe[2] === "home") {
				return true;
			} else {
				return false;
			}
		} else {
			return false;
		}
	}

	setListaIconeHome() {
		this.list_funzionalita = [];
		if (this.funzioni_utenza.length && this.funzioni_utenza.length > 0) {
			for (let funzione of this.funzioni_utenza) {
				if (funzione.funzionalita && funzione.funzionalita.length > 0) {
					for (let temp_funzionalita of funzione.funzionalita) {
						if (this.checkIsForHome(temp_funzionalita.t_info_aggiuntive)) {
							this.list_funzionalita.push(temp_funzionalita);
						}
					}
				}
			}
		}
	}

	calculateBottomHeight() {
		/* let height: number = this.platform.height();
    if (height >= 400 && height <= 569) {
      return 4;
    } else if (height >= 569 && height <= 668) {
      return 10;
    } else if (height >= 668 && height <= 741) {
      return 15;
    } else if (height >= 741 && height <= 813) {
      return 20;
    } else {
      return 25;
    } */
		return 25;
	}

	getProfilazioneInformation() {
		this.storageService.getDettaglioUtenza().then((dettaglioUtenza) => {
			if (dettaglioUtenza) {
				this.funzioni_utenza = dettaglioUtenza.ruolo.funzioni;
				this.setListaIconeHome();
				this.listaFunzionalitaFBR = this.globalService.compositeForBlockRowHome(this.list_funzionalita, HOMEFZ.nForRow, HOMEFZ.maxRowFS);
			}
		});
	}

	subscribeUpdateProfilazione() {
		this.utilityService.updateProfilazione$.subscribe((status) => {
			if (status) {
				setTimeout(() => {
					this.getProfilazioneInformation();
				}, 500);
			}
		});
	}
}
