import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { ProviderSpid, ResultDTO } from 'src/app/models';
import { MACS_API } from 'src/app/utility';

export const LIST_PROV: string = '/service/1.0/listaProvider';

@Injectable({
  providedIn: 'root'
})
export class SpidService {

  constructor(private httpClient: HttpClient) { }

  listaProvider(): Observable<ResultDTO<Array<ProviderSpid>>> {
      return this.httpClient.get<ResultDTO<Array<ProviderSpid>>>(`${MACS_API}${LIST_PROV}`);
  }
}
