import { HttpClient, HttpParams } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { RisultatoDTO } from 'src/app/models';
import { MACS_API } from 'src/app/utility';

const GP: string = '/service/1.0/getProperty';

@Injectable({
  providedIn: 'root'
})
export class UtilService {

  constructor(private httpClient: HttpClient) { }

  getProperty(property: string): Observable<RisultatoDTO<string>> {
    let parametri = '?property=' + property;
    return this.httpClient.get<RisultatoDTO<string>>(`${MACS_API}${GP}${parametri}`);
  }

  getLocalProperty(property: string): Observable<RisultatoDTO<string>> {
    const params = new HttpParams();
    params.set('property', property);
    return this.httpClient.get<RisultatoDTO<string>>('assets/mock/template-configuration.json');
  }


}
