package it.itsvil.macs.backend.client;

import org.springframework.stereotype.Service;

import it.itsvil.macs.backend.dto.AnnullaPrenotazioneRequestDTO;
import it.itsvil.macs.backend.dto.AnnullaPrenotazioneResponseDTO;
import it.itsvil.macs.backend.dto.ConfermaPrenotazioneRequestDTO;
import it.itsvil.macs.backend.dto.ConfermaPrenotazioneResponseDTO;
import it.itsvil.macs.backend.dto.CoreRequestDTO;
import it.itsvil.macs.backend.dto.DisdiciPrenotazioneRequestDTO;
import it.itsvil.macs.backend.dto.DisdiciPrenotazioneResponseDTO;
import it.itsvil.macs.backend.dto.DownloadDocumentoRequestDTO;
import it.itsvil.macs.backend.dto.DownloadDocumentoResponseDTO;
import it.itsvil.macs.backend.dto.InfoRisorseRequestDTO;
import it.itsvil.macs.backend.dto.InfoRisorseResponseDTO;
import it.itsvil.macs.backend.dto.InitPrenotazioneRequestDTO;
import it.itsvil.macs.backend.dto.InitPrenotazioneResponseDTO;
import it.itsvil.macs.backend.dto.ListaPrenotazioneResponseDTO;
import it.itsvil.macs.backend.dto.ListaRisorseResponseDTO;
import it.itsvil.macs.backend.dto.PeriodiDisponibiliRequestDTO;
import it.itsvil.macs.backend.dto.PeriodiDisponibiliResponseDTO;

@Service
public interface PrenotazioneClient {
	
	ListaRisorseResponseDTO listaRisorse(CoreRequestDTO request);
	InfoRisorseResponseDTO infoRisorse(InfoRisorseRequestDTO request);
	PeriodiDisponibiliResponseDTO periodiDisponibili(PeriodiDisponibiliRequestDTO request);
	DownloadDocumentoResponseDTO downloadDocumento(DownloadDocumentoRequestDTO request);
	InitPrenotazioneResponseDTO initPrenotazione(InitPrenotazioneRequestDTO request);
	AnnullaPrenotazioneResponseDTO annullaPrenotazione(AnnullaPrenotazioneRequestDTO request);
	ConfermaPrenotazioneResponseDTO confermaPrenotazione(ConfermaPrenotazioneRequestDTO request);
	DisdiciPrenotazioneResponseDTO disdiciPrenotazione(DisdiciPrenotazioneRequestDTO request);
	ListaPrenotazioneResponseDTO listaPrenotazioni(CoreRequestDTO request);

}
