package it.itsvil.macs.backend.dao;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import it.itsvil.macs.backend.dto.TipoNotificaDTO;
import it.itsvil.macs.backend.dto.UserNotificheNegateDTO;
import it.itsvil.macs.backend.mapper.ConfigurationMacsMapper;
import lombok.extern.log4j.Log4j2;

@Log4j2
@Repository(value = "ConfigurationMacsDaoImpl")
public class ConfigurationMacsDaoImpl implements ConfigurationMacsDao {
	
	@Autowired
	private ConfigurationMacsMapper mapper;
	
	@Override
	public boolean insertTipoNotifica(TipoNotificaDTO tipoNotifica) {
		try {
			log.debug("START");
			mapper.insertTipoNotifica(tipoNotifica);
			log.debug("END");
			return true;
		}catch (Exception e) {
			log.error("ERRORE NELLA INSERT: {}", e.getMessage());
			return false;
		}
	}

	@Override
	public List<TipoNotificaDTO> getAllTipoNotifiche() {
		List<TipoNotificaDTO>  result = null;
		try {
			log.debug("START");
			result = mapper.getAllTipoNotifiche();
			log.debug("END");
		}catch (Exception e) {
			log.error("ERRORE NELLA SELECT: {}", e.getMessage());
			return null;
		}
		return result;
	}

	@Override
	public TipoNotificaDTO getTipoNotificheById(String t_cod_notifiche) {
		TipoNotificaDTO result = null;
		try {
			log.debug("START");
			result = mapper.getTipoNotificheById(t_cod_notifiche);
			log.debug("END");
		}catch (Exception e) {
			log.error("ERRORE NELLA SELECT: {}", e.getMessage());
			return null;
		}
		return result;
	}

	@Override
	public boolean noPushNotification(UserNotificheNegateDTO userNotificheNegateDTO) {
		try {
			log.debug("START");
			mapper.noPushNotification(userNotificheNegateDTO);
			log.debug("END");
			return true;
		}catch (Exception e) {
			log.error("ERRORE NELLA INSERT: {}", e.getMessage());
			return false;
		}
	}

	@Override
	public boolean yesPushNotification(UserNotificheNegateDTO userNotificheNegateDTO) {
		try {
			log.debug("START");
			mapper.yesPushNotification(userNotificheNegateDTO);
			log.debug("END");
			return true;
		}catch (Exception e) {
			log.error("ERRORE NELLA DELETE: {}", e.getMessage());
			return false;
		}
	}

	@Override
	public List<TipoNotificaDTO> noPushListForUser(String t_spid_code) {
		try {
			List<TipoNotificaDTO> list;
			log.debug("START");
			list=mapper.noPushListForUser(t_spid_code);
			log.debug("END");
			return list;
		}catch (Exception e) {
			log.error("ERRORE NELLA SELECT: {}", e.getMessage());
			return null;
		}
	}

}
