package it.itsvil.macs.backend.dao;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import it.itsvil.macs.backend.dto.DispositivoDTO;
import it.itsvil.macs.backend.dto.NotificationInfoDTO;
import it.itsvil.macs.backend.mapper.DispositivoMapper;
import lombok.extern.log4j.Log4j2;

@Log4j2
@Repository(value = "DispositivoDaoImpl")
public class DispositivoDaoImpl implements DispositivoDao {
	
	@Autowired
	private DispositivoMapper mapper;
	
	@Override
	public DispositivoDTO checkDispositivo(DispositivoDTO dispositivo) {
		DispositivoDTO result = null;
		try {
			log.debug("START");
			result = mapper.checkDispositivo(dispositivo);
			log.debug("END");
		}catch (Exception e) {
			log.error("ERRORE NELLA SELECT: {}", e.getMessage());
			return null;
		}
		return result;
	}
	
	@Override
	public boolean insertDispositivo(DispositivoDTO dispositivo) {
		try {
			log.debug("START");
			mapper.insertDispositivo(dispositivo);
			log.debug("END");
			return true;
		}catch (Exception e) {
			log.error("ERRORE NELLA INSERT: {}", e.getMessage());
			return false;
		}
	}

	@Override
	public boolean updatetDispositivo(DispositivoDTO dispositivo) {
		try {
			log.debug("START");
			mapper.updatetDispositivo(dispositivo);
			log.debug("END");
			return true;
		}catch (Exception e) {
			log.error("ERRORE NELL'UPDATE: {}", e.getMessage());
			return false;
		}
	}

	@Override
	public List<NotificationInfoDTO> listOfNotification(String t_cod_notifiche) {
		try {
			log.debug("START");
			List<NotificationInfoDTO> lista = mapper.listOfNotification(t_cod_notifiche);
			log.debug("END");
			return lista;
		}catch (Exception e) {
			log.error("ERRORE NELLA SELECT: {}", e.getMessage());
			return null;
		}
	}

	@Override
	public List<NotificationInfoDTO> listOfAllLoggedAvaibleDevice(String t_cod_notifiche) {
		try {
			log.debug("START");
			List<NotificationInfoDTO> lista = mapper.listOfAllLoggedAvaibleDevice(t_cod_notifiche);
			log.debug("END");
			return lista;
		}catch (Exception e) {
			log.error("ERRORE NELLA SELECT: {}", e.getMessage());
			return null;
		}
	}

	@Override
	public boolean logoutDispositivo(DispositivoDTO dispositivo) {
		try {
			log.debug("START");
			mapper.logoutDispositivo(dispositivo);
			log.debug("END");
			return true;
		}catch (Exception e) {
			log.error("ERRORE NELLA SELECT: {}", e.getMessage());
			return false;
		}
	}
	
	@Override
	public List<NotificationInfoDTO> remainderToUse(String t_cod_notifiche) {
		try {
			log.debug("START");
			List<NotificationInfoDTO> lista = mapper.remainderToUse(t_cod_notifiche);
			log.debug("END");
			return lista;
		}catch (Exception e) {
			log.error("ERRORE NELLA SELECT: {}", e.getMessage());
			return null;
		}
	}
	
	@Override
	public List<NotificationInfoDTO> listOfAllAvaibleUserDevices(String t_spid_code, String t_cod_notifiche) {
		try {
			log.debug("START");
			List<NotificationInfoDTO> lista = mapper.listOfAllAvaibleUserDevices(t_spid_code, t_cod_notifiche);
			log.debug("END");
			return lista;
		}catch (Exception e) {
			log.error("ERRORE NELLA SELECT: {}", e.getMessage());
			return null;
		}
	}
	

}
