package it.itsvil.macs.backend.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import it.itsvil.macs.backend.dto.AuditDTO;
import it.itsvil.macs.backend.dto.CodiceFiscaleFruitoreAndUserDTO;
import it.itsvil.macs.backend.dto.PrenotazioneDTO;
import it.itsvil.macs.backend.mapper.MacsMapper;
import lombok.extern.log4j.Log4j2;

@Log4j2
@Repository(value = "MacsDaoImpl")
public class MacsDaoImpl implements MacsDao{

	@Autowired
	private MacsMapper mapper;
	
	@Override
	public void insertAudit(AuditDTO request) {
		
		try {
			log.debug("START");
			Long squence=mapper.nextSqAudit();
			request.setN_id_audit(squence);
			mapper.insertAudit(request);
			log.debug("END");
		}catch (Exception e) {
			log.error("ERRORE NELL'INSERT: {}", e.getMessage());
		}
		
	}

	@Override
	public void upDateAudit(AuditDTO request) {
		try {
			log.debug("START");
			mapper.upDateAudit(request);
			log.debug("END");
		}catch (Exception e) {
			log.error("ERRORE NELL'UPDATE: {}", e.getMessage());
		}
	}

	@Override
	public void insertPrenotazione(PrenotazioneDTO request) {
		try {
			log.debug("START");
			Long sq=mapper.nextSqPrenotazioni();
			request.setN_id(sq);
			mapper.insertPrenotazione(request);
			log.debug("END");
		}catch (Exception e) {
			log.error("ERRORE NELL'INSERT: {}", e.getMessage());
		}
		
	}


	@Override
	public PrenotazioneDTO getPrenotazione(Long n_id) {
		try {
			log.debug("START");
			PrenotazioneDTO prenotazioneDTO = mapper.getPrenotazione(n_id);
			log.debug("END");
			return prenotazioneDTO;
		}catch (Exception e) {
			log.error("ERRORE NELL'INSERT: {}", e.getMessage());
		}
		return null;
	}


	@Override
	public void upDateMeetingPrenotazione(PrenotazioneDTO request) {
		try {
			log.debug("START");
			mapper.upDateMeetingPrenotazione(request);
			log.debug("END");
		}catch (Exception e) {
			log.error("ERRORE NELL'UPDATE: {}", e.getMessage());
		}

	}

	@Override
	public void upDateSadisfactionPrenotazione(PrenotazioneDTO request) {
		try {
			log.debug("START");
			mapper.upDateSadisfactionPrenotazione(request);
			log.debug("END");
		}catch (Exception e) {
			log.error("ERRORE NELL'UPDATE: {}", e.getMessage());
		}

	}



	@Override
	public void UpDateDisdiciPrenotazione(PrenotazioneDTO request) {
		try {
			log.debug("START");
			mapper.UpDateDisdiciPrenotazione(request);
			log.debug("END");
		}catch (Exception e) {
			log.error("ERRORE NELL'UPDATE: {}", e.getMessage());
		}
		
	}

	@Override
	public CodiceFiscaleFruitoreAndUserDTO getCfRichiedenteFruitore(int n_id_prenotazione) {
		try {
			log.debug("START");
			CodiceFiscaleFruitoreAndUserDTO result = mapper.getCfRichiedenteFruitore(n_id_prenotazione);
			log.debug("END");
			return result;
		}catch (Exception e) {
			log.error("ERRORE NELL'UPDATE: {}", e.getMessage());
			return  null;
		}
	}
}