package it.itsvil.notificatore.backend.dto;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import io.swagger.v3.oas.annotations.media.Schema;

@JsonInclude(Include.NON_ABSENT)
public class EmailBodyDTO implements Serializable{

	private static final long serialVersionUID = 7353422125305686431L;
	
	@Schema(required=true, description="Identificativo univoco dell'applicazione")
	private String n_id_app;
	
	@Schema(required=true, description="Stato di attivazione", allowableValues="Y,N")
	private String b_attivo;
	
	@Schema(required=true, description="Tipologia di email")
	private String t_tipo_email;
	
	@Schema(required=true, description="Corpo dell'email codificato in base64")
	private String t_encoded_Body;
	
	@Schema(hidden=true)
	private byte[] t_corpo;
	
	public String getN_id_app() {
		return n_id_app;
	}
	
	public void setN_id_app(String n_id_app) {
		this.n_id_app = n_id_app;
	}
	
	public String getB_attivo() {
		return b_attivo;
	}
	
	public void setB_attivo(String b_attivo) {
		this.b_attivo = b_attivo;
	}
	
	public String getT_tipo_email() {
		return t_tipo_email;
	}
	
	public void setT_tipo_email(String t_tipo_email) {
		this.t_tipo_email = t_tipo_email;
	}
	
	public byte[] getT_corpo() {
		return t_corpo;
	}
	
	public void setT_corpo(byte[] t_corpo) {
		this.t_corpo = t_corpo;
	}

	public String getT_encoded_Body() {
		return t_encoded_Body;
	}

	public void setT_encoded_Body(String t_encoded_Body) {
		this.t_encoded_Body = t_encoded_Body;
	}

}
