package it.itsvil.notificatore.backend.dto;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import io.swagger.v3.oas.annotations.media.Schema;

@JsonInclude(Include.NON_ABSENT)
public class EmailConfigurationRequestDTO implements Serializable{

	private static final long serialVersionUID = 298344258083346866L;
	
	@Schema(required=true, description="Identificativo univoco dell'applicazione microservizio")
	private String n_id_app;
	
	@Schema(required=true, description="Struttura rappresentante la configurazione dell'account email")
	private EmailAccountDTO emailAccountDTO;
	
	@Schema(required=true, description="Struttura contenente l'insieme dei corpi delle tipologie di email codificati in base64")
	private EmailTipologyDTO emailTipologyDTO;

	public EmailAccountDTO getEmailAccountDTO() {
		return emailAccountDTO;
	}

	public void setEmailAccountDTO(EmailAccountDTO emailAccountDTO) {
		this.emailAccountDTO = emailAccountDTO;
	}

	public EmailTipologyDTO getEmailTipologyDTO() {
		return emailTipologyDTO;
	}

	public void setEmailTipologyDTO(EmailTipologyDTO emailTipologyDTO) {
		this.emailTipologyDTO = emailTipologyDTO;
	}

	public String getN_id_app() {
		return n_id_app;
	}

	public void setN_id_app(String n_id_app) {
		this.n_id_app = n_id_app;
	}
	

}
