package it.itsvil.notificatore.backend.dto;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import io.swagger.v3.oas.annotations.media.Schema;

@JsonInclude(Include.NON_ABSENT)
public class EmailTipologyDTO implements Serializable {

	private static final long serialVersionUID = 6444030508174208638L;
	
	@Schema(required=false, description="Corpo dell'email generale codificato in base64")
	private String body_generale;
	
	@Schema(required=false, description="Corpo dell'email di recupero password codificato in base64")
	private String body_recupera_password;
	
	@Schema(required=false, description="Corpo dell'email di registrazione codificato in base64")
	private String body_registrazione;
	
	@Schema(required=false, description="Corpo dell'email info 1 codificato in base64")
	private String body_info1;
	
	@Schema(required=false, description="Corpo dell'email info 2 codificato in base64")
	private String body_info2;
	
	@Schema(required=false, description="Corpo dell'email di conferma operazione codificato in base64")
	private String body_conferma_operazione;
	
	public String getBody_generale() {
		return body_generale;
	}
	
	public void setBody_generale(String body_generale) {
		this.body_generale = body_generale;
	}
	
	public String getBody_recupera_password() {
		return body_recupera_password;
	}
	
	public void setBody_recupera_password(String body_recupera_password) {
		this.body_recupera_password = body_recupera_password;
	}
	
	public String getBody_registrazione() {
		return body_registrazione;
	}
	
	public void setBody_registrazione(String body_registrazione) {
		this.body_registrazione = body_registrazione;
	}
	
	public String getBody_info1() {
		return body_info1;
	}
	
	public void setBody_info1(String body_info1) {
		this.body_info1 = body_info1;
	}
	
	public String getBody_info2() {
		return body_info2;
	}
	
	public void setBody_info2(String body_info2) {
		this.body_info2 = body_info2;
	}
	
	public String getBody_conferma_operazione() {
		return body_conferma_operazione;
	}
	
	public void setBody_conferma_operazione(String body_conferma_operazione) {
		this.body_conferma_operazione = body_conferma_operazione;
	}
	
}
