package it.itsvil.notificatore.backend.dto;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import io.swagger.v3.oas.annotations.media.Schema;

@JsonInclude(Include.NON_ABSENT)
public class NotificationConfDTO implements Serializable{
	
	private static final long serialVersionUID = -7189278091149222537L;
	
	@Schema(required=true, description="Identificativo univoco dell'applicazione")
	private String n_id_app;
	
	@Schema(required=true, description="Identificativo univoco della chiave di configurazione")
	private String t_key;
	
	@Schema(required=true, description="Valore associato alla chiave di configurazione")
	private String t_value;
	
	@Schema(required=true, description="Stato di attivazione", allowableValues="Y,N")
	private String b_attivo;
	
	public String getN_id_app() {
		return n_id_app;
	}
	
	public void setN_id_app(String n_id_app) {
		this.n_id_app = n_id_app;
	}
	
	public String getT_key() {
		return t_key;
	}
	
	public void setT_key(String t_key) {
		this.t_key = t_key;
	}
	
	public String getT_value() {
		return t_value;
	}
	
	public void setT_value(String t_value) {
		this.t_value = t_value;
	}
	
	public String getB_attivo() {
		return b_attivo;
	}
	
	public void setB_attivo(String b_attivo) {
		this.b_attivo = b_attivo;
	}
	
}
