package it.itsvil.profilatore.backend.dto;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.google.gson.annotations.JsonAdapter;

import io.swagger.v3.oas.annotations.media.Schema;
import it.itsvil.profilatore.backend.utils.LocalDateTimeAdapter;

@JsonInclude(Include.NON_ABSENT)
public class DettaglioUtenteDTO implements Serializable{

	private static final long serialVersionUID = 2181782779568207697L;
	
	@Schema(hidden=true)
	private Long n_id_utente;
	
	@Schema(hidden=true)
	private String n_id_app;
	
	@Schema(hidden=true)
	private String b_attivo;
	
	@Schema(required=true, description="Identificativo univoco dell'utenza")
	private String t_id_user;
	
	@JsonAdapter(LocalDateTimeAdapter.class)
	@Schema(required=true, description="Data di creazione della profilazione legata all'utenza")
	private LocalDateTime d_data_ins;
	
	@Schema(required=true, description="Identificativo univoco del ruolo")
	private Long n_id_ruolo;
	
	@Schema(required=false, description="Oggetto contenente la configurazione del ruolo legato all'utenza")
	private DettaglioRuoloDTO ruolo;
	
	public Long getN_id_utente() {
		return n_id_utente;
	}
	
	public void setN_id_utente(Long n_id_utente) {
		this.n_id_utente = n_id_utente;
	}
	
	public String getN_id_app() {
		return n_id_app;
	}
	
	public void setN_id_app(String n_id_app) {
		this.n_id_app = n_id_app;
	}
	
	public String getB_attivo() {
		return b_attivo;
	}
	
	public void setB_attivo(String b_attivo) {
		this.b_attivo = b_attivo;
	}
	
	public String getT_id_user() {
		return t_id_user;
	}

	public void setT_id_user(String t_id_user) {
		this.t_id_user = t_id_user;
	}

	public LocalDateTime getD_data_ins() {
		return d_data_ins;
	}
	
	public void setD_data_ins(LocalDateTime d_data_ins) {
		this.d_data_ins = d_data_ins;
	}
	
	public Long getN_id_ruolo() {
		return n_id_ruolo;
	}
	
	public void setN_id_ruolo(Long n_id_ruolo) {
		this.n_id_ruolo = n_id_ruolo;
	}

	public DettaglioRuoloDTO getRuolo() {
		return ruolo;
	}

	public void setRuolo(DettaglioRuoloDTO ruolo) {
		this.ruolo = ruolo;
	}

	
}
