package it.itsvil.profilatore.backend.dto;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.google.gson.annotations.JsonAdapter;

import io.swagger.v3.oas.annotations.media.Schema;
import it.itsvil.profilatore.backend.utils.LocalDateTimeAdapter;

@JsonInclude(Include.NON_ABSENT)
public class FunzionalitaDTO implements Serializable{
	
	private static final long serialVersionUID = 3770694269161934444L;
	
	@Schema(required=true, description="Identificativo univoco della funzionalità")
	private Long n_id_funzionalita;
	
	@Schema(required=true, description="Nome della funzionalità")
	private String t_nome;
	
	@Schema(required=true, description="Descrizione della funzionalità")
	private String t_descrizione;
	
	@JsonAdapter(LocalDateTimeAdapter.class)
	@Schema(required=true, description="Data di inserimento della funzionalità")
	private LocalDateTime d_data;
	
	@Schema(hidden=true)
	private String b_attivo;
	
	@Schema(required=true, description="Livello di sicurezza associato alla funzionalità")
	private String t_livello_sicurezza;
	
	@Schema(required=false, description="Informazioni aggiuntive da associare alla funzionalità")
	private String t_info_aggiuntive;
	
	
	public Long getN_id_funzionalita() {
		return n_id_funzionalita;
	}
	
	public void setN_id_funzionalita(Long n_id_funzionalita) {
		this.n_id_funzionalita = n_id_funzionalita;
	}
	
	public String getT_nome() {
		return t_nome;
	}
	
	public void setT_nome(String t_nome) {
		this.t_nome = t_nome;
	}
	
	public String getT_descrizione() {
		return t_descrizione;
	}
	
	public void setT_descrizione(String t_descrizione) {
		this.t_descrizione = t_descrizione;
	}

	
	public LocalDateTime getD_data() {
		return d_data;
	}

	public void setD_data(LocalDateTime d_data) {
		this.d_data = d_data;
	}

	public String getB_attivo() {
		return b_attivo;
	}
	
	public void setB_attivo(String b_attivo) {
		this.b_attivo = b_attivo;
	}
	
	public String getT_livello_sicurezza() {
		return t_livello_sicurezza;
	}
	
	public void setT_livello_sicurezza(String t_livello_sicurezza) {
		this.t_livello_sicurezza = t_livello_sicurezza;
	}

	public String getT_info_aggiuntive() {
		return t_info_aggiuntive;
	}

	public void setT_info_aggiuntive(String t_info_aggiuntive) {
		this.t_info_aggiuntive = t_info_aggiuntive;
	}

}
