package it.itsvil.profilatore.backend.dto;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import io.swagger.v3.oas.annotations.media.Schema;

@JsonInclude(Include.NON_ABSENT)
public class UpdateRuoloRequestDTO implements Serializable{

	
	private static final long serialVersionUID = -3184838848363389151L;
	
	@Schema(required=true, description="Identificativo univoco del ruolo")
	private Long n_id_ruolo;
	
	@Schema(required=false, description="Descrizione del ruolo")
	private String t_descrizione;
	
	@Schema(required=false, description="Stato di attivazione del ruolo", allowableValues="Y,N")
	private String b_attivo;
	
	@Schema(required=false, description="Nome del ruolo")
	private String t_nome;

	public Long getN_id_ruolo() {
		return n_id_ruolo;
	}

	public void setN_id_ruolo(Long n_id_ruolo) {
		this.n_id_ruolo = n_id_ruolo;
	}

	public String getT_descrizione() {
		return t_descrizione;
	}

	public void setT_descrizione(String t_descrizione) {
		this.t_descrizione = t_descrizione;
	}

	public String getB_attivo() {
		return b_attivo;
	}

	public void setB_attivo(String b_attivo) {
		this.b_attivo = b_attivo;
	}

	public String getT_nome() {
		return t_nome;
	}

	public void setT_nome(String t_nome) {
		this.t_nome = t_nome;
	}
	
	
}
